SCALBN(3)

NAME
scalbn, scalbnf, scalbln, scalblnf - scale by power of FLT_RADIX (=2)

SYNOPSIS

#include <math.h>

double scalbn(double x, int n);

float scalbnf(float x, int n);

double scalbln(double x, long int n);

float scalblnf(float x, long int n);

DESCRIPTION

The scalbn and scalbln functions compute x times FLT_RADIX to the power n. efficiently. The result is computed by manipulating the exponent, rather than by actually performing an exponentiation or multiplication. In this floating-point implementation FLT_RADIX=2, which makes the scalbn functions equivalent to the ldexp functions.

RETURNS

x times 2 to the power n. A range error may occur.

PORTABILITY

ANSI C, POSIX

SEE ALSO

ldexp